<?php

namespace Lean\Console\Lib;

use Psr\Container\ContainerInterface;

use Storage\Session;

use Picea;

/**
 * @Language("lean.route")
 * @RouteParam("methods" => [ 'GET', 'POST', 'DELETE' ], "base" => "/~")
 * @Security('locked' => false)
 * @Taxus("dev")
 */
trait ConsoleControllerTrait
{
    use \Lean\ControllerTrait;

    protected ContainerInterface $container;

    public function __construct(? Picea\Picea $picea, Session $session, ContainerInterface $container) {
        $this->picea = $picea;
        $this->session = $session;
        $this->container = $container;
    }
}